Uploaded image for project: 'Thrift'
  1. Thrift
  2. THRIFT-4430

Make check hangs on test_sslsocket.py

Attach filesAttach ScreenshotAdd voteVotersWatch issueWatchersCreate sub-taskLinkCloneUpdate Comment AuthorReplace String in CommentUpdate Comment VisibilityDelete Comments
    XMLWordPrintableJSON

    Details

    • Type: Bug
    • Status: Open
    • Priority: Major
    • Resolution: Unresolved
    • Affects Version/s: 0.11.0
    • Fix Version/s: None
    • Component/s: Build Process, Test Suite
    • Labels:
    • Environment:

      Description

      The make check command which is run while building Thrift hangs on the 9'th test in test/test_sslsocket.py. Below is the traceback I get after Ctrl-C'ing after waiting on the test for ~15 minutes. Any ideas?

      Making check in py
      make[2]: Entering directory '/home/kmdouglass/src/thrift-0.11.0/lib/py'
      /home/kmdouglass/miniconda3/bin/python setup.py build
      running build
      running build_py
      running build_ext
      make  check-local
      make[3]: Entering directory '/home/kmdouglass/src/thrift-0.11.0/lib/py'
      /home/kmdouglass/miniconda3/bin/python setup.py build
      running build
      running build_py
      running build_ext
      /home/kmdouglass/miniconda3/bin/python test/thrift_json.py
      .
      ----------------------------------------------------------------------
      Ran 1 test in 0.000s
      
      OK
      /home/kmdouglass/miniconda3/bin/python test/test_sslsocket.py
      ........^CTraceback (most recent call last):
        File "test/test_sslsocket.py", line 125, in _connectable_client
          client = TSSLSocket(host, port, unix_socket=path, **client_kwargs)
        File "/home/kmdouglass/src/thrift-0.11.0/lib/py/build/lib.linux-x86_64-3.6/thrift/transport/TSSLS
      ocket.py", line 263, in __init__                                                                  
          TSSLBase.__init__(self, False, host, kwargs)
        File "/home/kmdouglass/src/thrift-0.11.0/lib/py/build/lib.linux-x86_64-3.6/thrift/transport/TSSLS
      ocket.py", line 139, in __init__                                                                  
          self._init_context(ssl_version)
        File "/home/kmdouglass/src/thrift-0.11.0/lib/py/build/lib.linux-x86_64-3.6/thrift/transport/TSSLS
      ocket.py", line 53, in _init_context                                                              
          self._context = ssl.SSLContext(ssl_version)
        File "/home/kmdouglass/miniconda3/lib/python3.6/ssl.py", line 391, in __new__
          self = _SSLContext.__new__(cls, protocol)
      ssl.SSLError: ('No cipher can be selected.',)
      
      During handling of the above exception, another exception occurred:
      
      Traceback (most recent call last):
        File "test/test_sslsocket.py", line 343, in <module>
          unittest.main()
        File "/home/kmdouglass/miniconda3/lib/python3.6/unittest/main.py", line 95, in __init__
          self.runTests()
        File "/home/kmdouglass/miniconda3/lib/python3.6/unittest/main.py", line 256, in runTests
          self.result = testRunner.run(self.test)
        File "/home/kmdouglass/miniconda3/lib/python3.6/unittest/runner.py", line 176, in run
          test(result)
        File "/home/kmdouglass/miniconda3/lib/python3.6/unittest/suite.py", line 84, in __call__
          return self.run(*args, **kwds)
        File "/home/kmdouglass/miniconda3/lib/python3.6/unittest/suite.py", line 122, in run
          test(result)
        File "/home/kmdouglass/miniconda3/lib/python3.6/unittest/suite.py", line 84, in __call__
          return self.run(*args, **kwds)
        File "/home/kmdouglass/miniconda3/lib/python3.6/unittest/suite.py", line 122, in run
          test(result)
        File "/home/kmdouglass/miniconda3/lib/python3.6/unittest/case.py", line 653, in __call__
          return self.run(*args, **kwds)
        File "/home/kmdouglass/miniconda3/lib/python3.6/unittest/case.py", line 605, in run
          testMethod()
        File "test/test_sslsocket.py", line 291, in test_ssl2_and_ssl3_disabled
          self._assert_connection_failure(server, ca_certs=SERVER_CERT, ssl_version=ssl.PROTOCOL_SSLv2)
        File "test/test_sslsocket.py", line 135, in _assert_connection_failure
          with self._connectable_client(server, True, path=path, **client_args) as (acc, client):
        File "/home/kmdouglass/miniconda3/lib/python3.6/contextlib.py", line 81, in __enter__
          return next(self.gen)
        File "test/test_sslsocket.py", line 128, in _connectable_client
          if acc.client:
        File "test/test_sslsocket.py", line 95, in client
          self._client_accepted.wait()
        File "/home/kmdouglass/miniconda3/lib/python3.6/threading.py", line 551, in wait
          signaled = self._cond.wait(timeout)
        File "/home/kmdouglass/miniconda3/lib/python3.6/threading.py", line 295, in wait
          waiter.acquire()
      KeyboardInterrupt
      Makefile:658: recipe for target 'check-local' failed
      make[3]: *** [check-local] Error 1
      Makefile:512: recipe for target 'check-am' failed
      make[2]: *** [check-am] Interrupt
      Makefile:577: recipe for target 'check-recursive' failed
      make[1]: *** [check-recursive] Interrupt
      Makefile:660: recipe for target 'check-recursive' failed
      make: *** [check-recursive] Interrupt
      

        Attachments

          Activity

            People

            • Assignee:
              Unassigned
              Reporter:
              kmdouglass Kyle Douglass

              Dates

              • Created:
                Updated:

                Issue deployment